libQGLViewer Version 2.6.1

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Friends Macros
Classes | Namespaces
constraint.h File Reference

## Classes
class | Constraint
| An interface class for Frame constraints. More...
class | AxisPlaneConstraint
| An abstract class for Frame Constraints defined by an axis or a plane. More...
class | LocalConstraint
| An AxisPlaneConstraint defined in the Frame local coordinate system. More...
class | WorldConstraint
| An AxisPlaneConstraint defined in the world coordinate system. More...
class | CameraConstraint
| An AxisPlaneConstraint defined in the camera coordinate system. More...

## Namespaces
| qglviewer